Add Configuration

This method allows you to add Agent configuration settings.

Creation of settings requires unique names and description. These fields should only contain alphanumeric characters, space, dot(.), underscore(_) or hyphen(-).

KeyMeaningMandatoryData Type
confignameUnique configuration name (alphanumeric, space, dot, underscore, hyphen allowed)Yesstring
configdescConfiguration description (alphanumeric, space, dot, underscore, hyphen allowed)Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Configuration.add(
    configname="DemoConfig",
    configdesc="Config description"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json